name: Check examples

on:
  push:
  pull_request:
    paths:
      - '.github/workflows/*.yml'
      - 'examples/**'
      - 'ports/unix/**'
      - 'py/**'
      - 'shared/**'

concurrency:
  group: ${{ github.workflow }}-${{ github.ref }}
  cancel-in-progress: true

jobs:
  embedding:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v4
    - name: Build
      run: make -C examples/embedding -f micropython_embed.mk && make -C examples/embedding
    - name: Run
      run: ./examples/embedding/embed | grep "hello world"
